%define	name	kvoicecontrol
%define	version	0.17
%define release	6mdk
%define kde1dir %{_libdir}/kde1-compat

Name:			%{name}
Summary:		Provides voice recognition for unix commands
Version:		%{version}
Release:		%{release}

Source:			%{name}-%{version}.tar.bz2
Source1:		icons-%{name}.tar.bz2
Patch:			%{name}-gcc295.patch.bz2

Group:			Graphical desktop/KDE
Copyright:		GPL
BuildRoot:		%{_tmppath}/%{name}-buildroot
Requires:		qt kdelibs
Prefix:			%{_prefix}
BuildRequires:	egcs

%description
KVoiceControl is a tool that gives you voice control over your Unix commands.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 
rm -rf src/RCS
%patch -p1 -b .gcc295

%build
RPM_OPT_FLAGS=$(echo $RPM_OPT_FLAGS|perl -p -i -e "s|\-mpreferred-stack-boundary=2||")
export RPM_OPT_FLAGS


export KDEDIR=%{kde1dir}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{kde1dir} --exec-prefix=%{kde1dir} --disable-rpath
%make
%define kde1dir %{_libdir}/kde1-compat


%install
rm -rf $RPM_BUILD_ROOT 
export KDEDIR=%{_prefix}

make prefix=$RPM_BUILD_ROOT%{kde1dir} \
exec_prefix=$RPM_BUILD_ROOT%{kde1dir} \
kde_bindir=$RPM_BUILD_ROOT%{kde1dir}/bin \
kde_appsdir=$RPM_BUILD_ROOT%{kde1dir}/share/applnk \
kde_htmldir=$RPM_BUILD_ROOT%{_docdir}/kde1/HTML \
kde_datadir=$RPM_BUILD_ROOT%{kde1dir}/share/apps \
bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_icondir=$RPM_BUILD_ROOT%{_iconsdir} \
kde_minidir=$RPM_BUILD_ROOT%{_miconsdir} install

rm -rf $RPM_BUILD_ROOT/usr/share/applnk
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="kvoicecontrol" icon="%{name}.xpm" needs="x11" section="Applications/Communications" title="KVoiceControl"
EOF

#mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root,-)
%defattr(-,root,root,755)
%doc %{_docdir}/kde1/HTML/*/*
%{_bindir}/*
%{_menudir}/*
%kde1dir/share/apps/*
%{_iconsdir}

%changelog
* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 0.17-6mdk
- icons 

* Thu Aug 24 2000 Vincent Saugey <vince@mandrakesoft.com> 0.17-5mdk
- BM + macroszification
- kde1-compat

* Sat Jun 03 2000 David BAUDENS <baudens@mandrakesoft.com> 0.17-4mdk
- Don't try to -mpreferred-stack-boundary option with egcs
- Use %%{_tmppath} for BuildRoot
- Don't use (stupid) autogenrated list for %%files

* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 0.17-3mdk
- updated Group.
- added menu entry.

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.
- Use egcs

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Initial build v0.17

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.
